/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include "DrvI2C.h"
#include "DrvHWI2C.h"
#include "HY2613.h"
#include "seg7.h"

/*--------------------------------------------------------------------------*/
/* Clear LCD RAM Data                                                       */
/*--------------------------------------------------------------------------*/
void ClearLCDframe(void)
{
  int i=0;
  for(i=0;i<11;i++)
  {
    DisplayBuffer[i]=0x00;
  }
  RAM2LCD(DisplayBuffer,11);
}

/*----------------------------------------------------------------------------*/
/* Display HYcon Char                                                         */
/*----------------------------------------------------------------------------*/
void DisplayHYcon(void)
{
  #define offset 2
  DisplayBuffer[offset+0]=0x00;
  DisplayBuffer[offset+1]=Char_H;
  DisplayBuffer[offset+2]=Char_Y;
  DisplayBuffer[offset+3]=Char_c;
  DisplayBuffer[offset+4]=Char_o;
  DisplayBuffer[offset+5]=Char_n;
  RAM2LCD(DisplayBuffer,11);
}

void LCD_DATA_DISPLAY(unsigned int LcdBuffer)
{
  int i;
  for(i=7;i>=2;i--)
  {
   DisplayBuffer[i]=seg[LcdBuffer%10];
   LcdBuffer=LcdBuffer/10;
  }
  DisplayBuffer[2]=DisplayBuffer[3]=0;
  DisplayBuffer[5]=DisplayBuffer[5]|seg_h;
  DisplayBuffer[8]=S_Bat1|S_Bat2|S_Bat3|S_Bat4;
  DisplayBuffer[9]=0x0a;
  DisplayBuffer[10]=0;
  RAM2LCD(DisplayBuffer,11);
}

